-- cmp.physical_server definition

CREATE TABLE `physical_server` (
                                   `id` bigint NOT NULL AUTO_INCREMENT,
                                   `region_id` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '地域',
                                   `zone_id` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '可用区',
                                   `vendor_id` bigint DEFAULT NULL COMMENT '所属平台',
                                   `resource_id` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '资源ID',
                                   `instance_uuid` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '实例id',
                                   `device_uuid` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '设备uuid',
                                   `device_type` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '设备类型',
                                   `name` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '名称',
                                   `remark` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '描述',
                                   `system_volume_raid_id` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '本地系统盘raid id',
                                   `data_volume_raid_id` varchar(100) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '本地数据盘raid id',
                                   `image_uuid` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '镜像id',
                                   `os_type` bigint DEFAULT NULL COMMENT '操作系统类型编号',
                                   `os_type_name` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '操作系统类型',
                                   `vpc_uuid` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT 'vpc uuid',
                                   `subnet_uuid` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '子网uuid',
                                   `private_ip` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '内网ipv4地址集合',
                                   `public_ip` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '公网IPv4地址集合',
                                   `ebm_state` varchar(100) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '物理机状态',
                                   `flavor` text COLLATE utf8mb4_general_ci COMMENT '规格信息',
                                   `interfaces` text COLLATE utf8mb4_general_ci COMMENT '网卡信息',
                                   `raid_detail` text COLLATE utf8mb4_general_ci COMMENT '磁盘阵列信息',
                                   `attached_volumes` text COLLATE utf8mb4_general_ci COMMENT '挂载的磁盘ID',
                                   `device_detail` text COLLATE utf8mb4_general_ci COMMENT '设备信息',
                                   `freezing` tinyint(1) DEFAULT NULL COMMENT '是否冻结',
                                   `expired` tinyint(1) DEFAULT NULL COMMENT '是否过期',
                                   `create_time` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '创建时间',
                                   `updated_time` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '更新时间',
                                   `delete_time` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '删除时间',
                                   `expired_time` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '到期时间',
                                   `on_demand` tinyint(1) DEFAULT NULL COMMENT '是否按量计费',
                                   `gmt_create` datetime DEFAULT NULL COMMENT '创建时间',
                                   `gmt_modify` datetime DEFAULT NULL COMMENT '修改时间',
                                   `creator_id` bigint DEFAULT NULL COMMENT '所属用户',
                                   `tenant_id` bigint DEFAULT NULL COMMENT '租户id',
                                   `project_id` bigint DEFAULT NULL COMMENT '项目id',
                                   `is_deleted` tinyint(1) DEFAULT NULL COMMENT '是否删除',
                                   `display_name` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '展示名称',
                                   PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;