package com.bocloud.cmp.controller;

import com.bocloud.cmp.entity.ResourceEvent;
import com.bocloud.cmp.service.ResourceEventService;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.GridBean;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;
import com.megatron.common.utils.Common;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/v1/events")
@Tag(name = "资源监听")
public class ResourceEventController {

    @Autowired
    private ResourceEventService resourceEventService;

    /**
     * 列表
     *
     * @param pager
     * @return
     */
    @Operation(tags = {"CMC", "CSC"}, summary = "查询平台资源列表")
    @GetMapping
    public GeneralResult<GridBean<ResourceEvent>> list(Pager pager,
                                                       @Value(Common.REQ_CONTEXT) RequestContext context) {
        return resourceEventService.list(pager, context);

    }

}
