package com.bocloud.cmp.domain;

import java.util.List;

import com.alibaba.fastjson.JSONObject;
import com.megatron.common.model.RequestContext;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 资源申请参数
 * 
 * @author wangyu
 * @version 1.0
 * @since 2020年4月14日
 *
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ApplicationParam {

	/**
	 * 定位参数
	 */
	private LocationModel location;
	/**
	 * 调度参数
	 */
	private JSONObject selector;
	/**
	 * 订购参数
	 */
	private EmptionModel emption;
	/**
	 * 配置参数
	 */
	private JSONObject configs;
	/**
	 * 商品sku参数
	 */
	private List<ElementModel> elements;
	/**
	 * 服务协议id
	 */
	private Long sla;
	/**
	 * 优惠券号
	 */
	private String coupon;
	/**
	 * 服务编码
	 */
	private String service;
	/**
	 * 配额参数
	 */
	private List<QuotaBean> quotas;
	/**
	 * 订单参数
	 */
	private ServiceOrder order;
	/**
	 * 申请人
	 */
	private RequestContext context;

	private String callback;
	/**
	 * 云主机ID
	 */
	private Long serverId;
	
	/**
     * 订单明细
     */

    private List<OrderItem> orderItems;

}