package com.bocloud.cmp.domain;

import com.alibaba.fastjson.JSONObject;
import com.megatron.common.model.GeneralResult;

import lombok.Data;

/**
 * 云管家通用类
 */
@Data
public class Butler {
    private String username;
    private String password;
    private String accessKey;
    private String secretKey;
    private String regions;
    private String tenant;
    private String url;
    private String uuid;// 云平台uuid
    private String name;// 云平台名称
    private String category;// 云平台类型，暂时取aliyun,openstask,jd,vmware,fusionCloud
    private String domainName;
    private String projectName;
    private String projectId;
    private String version;
    private String regionId;
    private Boolean isPublic;
    private String subscriptionId;// 订阅ID(azure)
    private String clientId;// 应用程序(客户端)ID(azure)
    private String token; // k8s token

    private String proxyUri;
    private String domainId;
    private Boolean isTenant;// tce是否为租户

    private String aaopAccessKey;
    private String aaopSecretKey;
    private String userAccessKey;
    private String userSecretKey;
    private Boolean isAdmin; // es 是否admin项目
    private Integer loginType;//云宏，用于区分本地还是域账户

    public static GeneralResult<Butler> convert(String config) {
		try {
			Butler butler = JSONObject.parseObject(config, Butler.class);
			return new GeneralResult<Butler>(true, butler, "success");
		} catch (Exception e) {
			return new GeneralResult<>(false, e.getMessage());
		}
	}

	public Butler() {
        super();
    }

    // 封装tce租户的认证信息，不走zk
    public Butler(String uuid, String name, String regionId, String url, String accessKey, String secretKey, Boolean isTenant) {
        super();
        this.uuid = uuid;
        this.name = name;
        this.regionId = regionId;
        this.url = url;
        this.accessKey = accessKey;
        this.secretKey = secretKey;
        this.isTenant = isTenant;
    }
}
