package com.bocloud.cmp.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 订单明细资源模型
 * 
 * @author wangyu
 * @version 1.0
 * @since 2020年4月14日
 *
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ResourceModel {

	// 资源名称
	private String name;
	// 资源uuid
	private String uuid;
	// 服务编码
	private String code;
	// 资源uuid
	private String instanceId;
	// 资源sn
	private String sn;
	// 备用参数（保存变量）
	private String params;

	public ResourceModel(String params) {
		this.params = params;
	}

	public ResourceModel(String name, String uuid, String code) {
		this.name = name;
		this.uuid = uuid;
		this.code = code;
	}

	public ResourceModel(String name, String uuid, String code, String instanceId, String sn) {
		this.name = name;
		this.uuid = uuid;
		this.code = code;
		this.instanceId = instanceId;
		this.sn = sn;
	}
}
