package com.bocloud.cmp.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * 规格数据模型
 * 
 * @author wangyu
 * @version 1.0
 * @since 2020年4月13日
 *
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class SpecModel {

	// cpu大小
	private Integer cpu;
	// 内存大小
	private BigDecimal memory;
	// 磁盘大小
	private Integer disk;
	private Long sceneId;
	private Integer templateId;
	/**
	 * 带宽大小
	 */
	private Integer bandWidth;
	/**
	 * 个数
	 */
	private Integer count;

	/**
	 * @param cpu
	 * @param memory
	 * @param disk
	 */
	public SpecModel(Integer cpu, BigDecimal memory, Integer disk) {
		super();
		this.cpu = cpu;
		this.memory = memory;
		this.disk = disk;
	}

	public SpecModel(Integer bandWidth, Integer count) {
		this.bandWidth = bandWidth;
		this.count = count;
	}

}
