package com.bocloud.cmp.entity;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 配置中心节点
 * 
 * @author weiwei
 *
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Table("ccs_node")
public class CcsNode extends Generic {

	@PK(PKStrategy.AUTO)
	private Long id;// ID
	@Column("address")
	private String address;// 节点地址
	@Column("port")
	private Integer port;// 节点端口
	@Column("role")
	private String role;// 节点角色
	@Column("status")
	private String status;// 节点状态
	@Column("instance_id")
	private String instanceId;// 关联的云主机实例ID
	@Column("server_id")
	private Long serverId;// 关联的云主机ID
	@Column("ccs_id")
	private Long ccsId;
	@Column("group_id")
	private String groupId;
	@Column("manage_ip")
	private String manageIp;

	/**
	 * 
	 * @param address
	 * @param port
	 * @param role
	 * @param status
	 * @param instanceId
	 * @param ccsId
	 */
	public CcsNode(String address, Integer port, String role, String status, String instanceId, Long ccsId) {
		super();
		this.address = address;
		this.port = port;
		this.role = role;
		this.status = status;
		this.instanceId = instanceId;
		this.ccsId = ccsId;
	}

}
