package com.bocloud.cmp.entity;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 集群资源使用统计表
 * 
 * @author weiwei
 *
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Table("cluster_usage")
public class ClusterUsage extends Generic {

	@PK(PKStrategy.AUTO)
	private Long id;// ID
	@Column("cluster_id")
	private Long clusterId;// 集群ID
	@Column("cpu")
	private Long cpu;// cpu使用
	@Column("mem")
	private Double mem;// 内存使用
	@Column("disk")
	private Double disk;// 存储使用
	@Column("instance")
	private Long instance;// 实例数
	@Column("date")
	private Date date;// 日期

	public ClusterUsage(Long clusterId, Long cpu, Double mem, Double disk, Long instance, Date date) {
		super();
		this.clusterId = clusterId;
		this.cpu = cpu;
		this.mem = mem;
		this.disk = disk;
		this.instance = instance;
		this.date = date;
	}

}
