package com.bocloud.cmp.entity;

import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.annotation.JSONField;
import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.GenericEntity;
import com.megatron.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * Created by liuyuanyuan on 2020/3/11 15:08
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Table("cms_vhost")
public class CmsVhost extends GenericEntity {
    @PK(PKStrategy.AUTO)
    private Long id;// ID
    @Column("name")
    private String name;
    @Column("mq_id")
    private Long mqId;
    @JSONField(name = "messages_ready")
    private Long messagesReady;
    @JSONField(name = "messages_unacknowledged")
    private Long messagesUnacknowledged;
    private Long messages;
    @JSONField(name = "recv_oct_details")
    private JSONObject recvOctDetails;
    @JSONField(name = "send_oct_details")
    private JSONObject sendOctDetails;
    private Long recvOctRate;
    private Long sendOctRate;
    @JSONField(name = "message_stats")
    private JSONObject messageStats;
    private Long publishRate;
    private Long deliverRate;
    private String user;
    private String admin;
    private String configure;
    private String write;
    private String read;
    private String users;
}
