package com.bocloud.cmp.entity;

import com.megatron.common.utils.DateSerializer;
import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.GenericEntity;
import com.megatron.entity.meta.PKStrategy;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Table("file_system")
public class FileSystem extends GenericEntity {

    @PK(value = PKStrategy.AUTO)
    private Long id;
    @Column("vendor_id")
    private Long vendorId;
    @Column("tenant_id")
    private Long tenantId;
    @Column("project_id")
    private Long projectId;
    @Column("update_time")
    @JsonSerialize(using = DateSerializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
    @Column("create_time")
    @JsonSerialize(using = DateSerializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    @Column("file_system_uuid")
    private String fileSystemUuid;
    @Column("access_member_num")
    private Long accessMemberNum;
    @Column("action_status")
    private String actionStatus;
    @Column("block_volume_status")
    private String blockVolumeStatus;
    @Column("is_flattened")
    private Boolean flattened;
    @Column("is_formatted")
    private Boolean formatted;
    @Column("fs_quota_tree_num")
    private Long fsQuotaTreeNum;
    @Column("fs_snapshot_num")
    private Long fsSnapshotNum;
    @Column("latest_snapshot_time")
    @JsonSerialize(using = DateSerializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date latestSnapshotTime;
    @Column("progress")
    private Double progress;
    @Column("qos")
    private String qos;
    @Column("is_qosEnabled")
    private Boolean qosEnabled;
    @Column("is_shared")
    private Boolean shared;
    @Column("size")
    private Double size;
    @Column("samples")
    private String samples;
    @Column("used_kbyte")
    private Double usedKbyte;
    @Column("access_path_uuid")
    private String accessPathUuid;
    @Column("access_path_name")
    private String accessPathName;
    @Column("block_volume_uuid")
    private String blockVolumeUuid;
    @Column("block_volume_name")
    private String blockVolumeName;
    @Column("pool_uuid")
    private String poolUuid;
    @Column("pool_name")
    private String poolName;
    @Column("fs_snapshot_uuid")
    private String fsSnapshotUuid;
    @Column("fs_snapshot_name")
    private String fsSnapshotName;

    public Long getVendorId() {
        return vendorId;
    }

    public void setVendorId(Long vendorId) {
        this.vendorId = vendorId;
    }

    public Long getTenantId() {
        return tenantId;
    }

    public void setTenantId(Long tenantId) {
        this.tenantId = tenantId;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getFileSystemUuid() {
        return fileSystemUuid;
    }

    public void setFileSystemUuid(String fileSystemUuid) {
        this.fileSystemUuid = fileSystemUuid;
    }

    public Long getAccessMemberNum() {
        return accessMemberNum;
    }

    public void setAccessMemberNum(Long accessMemberNum) {
        this.accessMemberNum = accessMemberNum;
    }

    public String getActionStatus() {
        return actionStatus;
    }

    public void setActionStatus(String actionStatus) {
        this.actionStatus = actionStatus;
    }

    public String getBlockVolumeStatus() {
        return blockVolumeStatus;
    }

    public void setBlockVolumeStatus(String blockVolumeStatus) {
        this.blockVolumeStatus = blockVolumeStatus;
    }

    public Boolean getFlattened() {
        return flattened;
    }

    public void setFlattened(Boolean flattened) {
        this.flattened = flattened;
    }

    public Boolean getFormatted() {
        return formatted;
    }

    public void setFormatted(Boolean formatted) {
        this.formatted = formatted;
    }

    public Long getFsQuotaTreeNum() {
        return fsQuotaTreeNum;
    }

    public void setFsQuotaTreeNum(Long fsQuotaTreeNum) {
        this.fsQuotaTreeNum = fsQuotaTreeNum;
    }

    public Long getFsSnapshotNum() {
        return fsSnapshotNum;
    }

    public void setFsSnapshotNum(Long fsSnapshotNum) {
        this.fsSnapshotNum = fsSnapshotNum;
    }

    public Date getLatestSnapshotTime() {
        return latestSnapshotTime;
    }

    public void setLatestSnapshotTime(Date latestSnapshotTime) {
        this.latestSnapshotTime = latestSnapshotTime;
    }

    public Double getProgress() {
        return progress;
    }

    public void setProgress(Double progress) {
        this.progress = progress;
    }

    public String getQos() {
        return qos;
    }

    public void setQos(String qos) {
        this.qos = qos;
    }

    public Boolean getQosEnabled() {
        return qosEnabled;
    }

    public void setQosEnabled(Boolean qosEnabled) {
        this.qosEnabled = qosEnabled;
    }

    public Boolean getShared() {
        return shared;
    }

    public void setShared(Boolean shared) {
        this.shared = shared;
    }

    public String getSamples() {
        return samples;
    }

    public void setSamples(String samples) {
        this.samples = samples;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getProjectId() {
        return projectId;
    }

    public void setProjectId(Long projectId) {
        this.projectId = projectId;
    }

    public Double getSize() {
        return size;
    }

    public void setSize(Double size) {
        this.size = size;
    }

    public Double getUsedKbyte() {
        return usedKbyte;
    }

    public void setUsedKbyte(Double usedKbyte) {
        this.usedKbyte = usedKbyte;
    }

    public String getAccessPathUuid() {
        return accessPathUuid;
    }

    public void setAccessPathUuid(String accessPathUuid) {
        this.accessPathUuid = accessPathUuid;
    }

    public String getAccessPathName() {
        return accessPathName;
    }

    public void setAccessPathName(String accessPathName) {
        this.accessPathName = accessPathName;
    }

    public String getBlockVolumeUuid() {
        return blockVolumeUuid;
    }

    public void setBlockVolumeUuid(String blockVolumeUuid) {
        this.blockVolumeUuid = blockVolumeUuid;
    }

    public String getBlockVolumeName() {
        return blockVolumeName;
    }

    public void setBlockVolumeName(String blockVolumeName) {
        this.blockVolumeName = blockVolumeName;
    }

    public String getPoolUuid() {
        return poolUuid;
    }

    public void setPoolUuid(String poolUuid) {
        this.poolUuid = poolUuid;
    }

    public String getPoolName() {
        return poolName;
    }

    public void setPoolName(String poolName) {
        this.poolName = poolName;
    }

    public String getFsSnapshotUuid() {
        return fsSnapshotUuid;
    }

    public void setFsSnapshotUuid(String fsSnapshotUuid) {
        this.fsSnapshotUuid = fsSnapshotUuid;
    }

    public String getFsSnapshotName() {
        return fsSnapshotName;
    }

    public void setFsSnapshotName(String fsSnapshotName) {
        this.fsSnapshotName = fsSnapshotName;
    }

}
