package com.bocloud.cmp.entity;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.IgnoreAll;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 镜像挂载的卷
 *
 * @author luyanchao
 * @since 2019-02-13
 */
@Data
@NoArgsConstructor
@Table("image_volume")
public class ImageVolume extends Generic {

    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("image_id")
    private Long imageId;
    @Column("volume_id")
    private Long volumeId;

    @Column("image_name")
    @IgnoreAll
    private String imageName;
    @Column("volume_name")
    @IgnoreAll
    private String volumeName;

}
