package com.bocloud.cmp.entity;

import java.math.BigDecimal;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.GenericEntity;
import com.megatron.entity.meta.PKStrategy;

import lombok.Data;

/**
 * k8s节点
 *
 * @author weiwei
 */
@Table("kube_node")
@Data
public class KubeNode extends GenericEntity {

	@PK(value = PKStrategy.AUTO)
	private Long id; // ID
	@Column("instance_id")
	private String instanceId;// 实例ID
	@Column("address")
	private String address;// 地址
	@Column("pod_cidr")
	private String podCidr;// pod cidr
	@Column("role")
	private String role; // 角色
	@Column("vendor_id")
	private Long vendorId; // 云供应商Id
	@Column("labels")
	private String labels;
	@Column("schedulable")
	private Boolean schedulable;
	@Column("annotations")
	private String annotations;
	@Column("machine_id")
	private String machineId;
	@Column("system_uuid")
	private String systemUuid;
	@Column("boot_id")
	private String bootId;
	@Column("kernel_version")
	private String kernelVersion;
	@Column("os_image")
	private String osImage;
	@Column("container_runtime_version")
	private String containerRuntimeVersion;
	@Column("kubelet_version")
	private String kubeletVersion;
	@Column("kube_proxy_version")
	private String kubeProxyVersion;
	@Column("operating_system")
	private String operatingSystem;
	@Column("architecture")
	private String architecture;
	@Column("node_ip")
	private String nodeIp;
	@Column("uid")
	private String uid;// uuid
	@Column("kind")
	private String kind;
	@Column("api_version")
	private String apiVersion;

	@Column("cpu")
	private Integer cpu;
	@Column("memory")
	private BigDecimal memory;
	@Column("cpu_used")
	private String cpuUsed;
	@Column("memory_used")
	private String memoryUsed;
	@Column("cpu_percent")
	private String cpuPercent;
	@Column("memory_percent")
	private String memoryPercent;

	@Column("creation_time")
	@JsonSerialize(using = com.megatron.common.utils.DateSerializer.class)
	@JsonDeserialize(using = com.megatron.common.utils.DateDeserializer.class)
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date creationTime;

	public void preSave(Long creatorId, Long menderId, Long vendorId) {
		this.setCreatorId(creatorId);
		this.setMenderId(menderId);
		this.setVendorId(vendorId);
	}
}
