package com.bocloud.cmp.entity;

import com.megatron.common.utils.DateSerializer;
import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.IgnoreAll;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.GenericEntity;
import com.megatron.entity.meta.PKStrategy;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 对象用户
 */
@Table("object_router")
public class ObjectRouter extends GenericEntity {

    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("vendor_id")
    private Long vendorId; // 云供应商ID
    @Column("tenant_id")
    private Long tenantId; // 租户ID
    @Column("uuid")
    private String uuid;
    @Column("object_router_id")
    private Long objectRouterId;
    @Column("object_router_name")
    private String objectRouterName;
    @Column("ip")
    private String ip;
    @Column("port")
    private Long port;
    @Column("https_port")
    private Long httpsPort;
    @Column("interface_name")
    private String interfaceName;
    @Column("vip")
    private String vip;
    @Column("vip_mask")
    private Long vipMask;
    @Column("vips")
    private String vips;
    @Column("host_admin_ip")
    private String hostAdminIp;
    @Column("host_id")
    private Long hostId;
    @Column("host_name")
    private String hostName;
    @Column("group_name")
    private String groupName;
    @Column("group_id")
    private Long groupId;
    @IgnoreAll
    @JsonSerialize(using = DateSerializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date expiredTime;// 过期时间

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getVendorId() {
        return vendorId;
    }

    public void setVendorId(Long vendorId) {
        this.vendorId = vendorId;
    }

    public Long getTenantId() {
        return tenantId;
    }

    public void setTenantId(Long tenantId) {
        this.tenantId = tenantId;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public Long getObjectRouterId() {
        return objectRouterId;
    }

    public void setObjectRouterId(Long objectRouterId) {
        this.objectRouterId = objectRouterId;
    }

    public String getObjectRouterName() {
        return objectRouterName;
    }

    public void setObjectRouterName(String objectRouterName) {
        this.objectRouterName = objectRouterName;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public Long getPort() {
        return port;
    }

    public void setPort(Long port) {
        this.port = port;
    }

    public Long getHttpsPort() {
        return httpsPort;
    }

    public void setHttpsPort(Long httpsPort) {
        this.httpsPort = httpsPort;
    }

    public String getInterfaceName() {
        return interfaceName;
    }

    public void setInterfaceName(String interfaceName) {
        this.interfaceName = interfaceName;
    }

    public String getVip() {
        return vip;
    }

    public void setVip(String vip) {
        this.vip = vip;
    }

    public Long getVipMask() {
        return vipMask;
    }

    public void setVipMask(Long vipMask) {
        this.vipMask = vipMask;
    }

    public String getVips() {
        return vips;
    }

    public void setVips(String vips) {
        this.vips = vips;
    }

    public String getHostAdminIp() {
        return hostAdminIp;
    }

    public void setHostAdminIp(String hostAdminIp) {
        this.hostAdminIp = hostAdminIp;
    }

    public Long getHostId() {
        return hostId;
    }

    public void setHostId(Long hostId) {
        this.hostId = hostId;
    }

    public String getHostName() {
        return hostName;
    }

    public void setHostName(String hostName) {
        this.hostName = hostName;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public Long getGroupId() {
        return groupId;
    }

    public void setGroupId(Long groupId) {
        this.groupId = groupId;
    }

    public Date getExpiredTime() {
        return expiredTime;
    }

    public void setExpiredTime(Date expiredTime) {
        this.expiredTime = expiredTime;
    }

}
