package com.bocloud.cmp.entity;

import com.megatron.common.utils.DateSerializer;
import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.IgnoreAll;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.GenericEntity;
import com.megatron.entity.meta.PKStrategy;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 对象用户
 */
@Table("object_user")
public class ObjectUser extends GenericEntity {

    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @IgnoreAll
    @JsonSerialize(using = DateSerializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date expiredTime;// 过期时间
    @Column("vendor_id")
    private Long vendorId; // 云供应商ID
    @Column("tenant_id")
    private Long tenantId; // 租户ID
    @Column("uuid")
    private String uuid;
    @Column("user_id")
    private Long userId;
    @Column("email")
    private String email;
    @Column("bucket_max")
    private Long bucketMax;
    @Column("size_max")
    private Long sizeMax;
    @Column("access_key")
    private String accessKey;
    @Column("secret_key")
    private String secretKey;
    @Column("create_time")
    @JsonSerialize(using = DateSerializer.class)
    @com.fasterxml.jackson.databind.annotation.JsonDeserialize(using = com.megatron.common.utils.DateDeserializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    @Column("instance_id")
    private String instanceId;
    @IgnoreAll
    private int bucketCount;
    @IgnoreAll
    private String sizeUsed;
    @IgnoreAll
    private String ratio;
    @Column("bucket_num")
    private Long bucketNum; // 存储桶个数
    @Column("bucket_quota_max_objects")
    private Long bucketQuotaMaxObjects;
    @Column("bucket_quota_max_size")
    private Long bucketQuotaMaxSize;
    @Column("max_buckets")
    private Long maxBuckets; // 存储桶最大数量 未使用 maxBuckets
    @Column("op_mask")
    private String opMask; // read,write,delete
    @Column("user_quota_max_objects")
    private Long userQuotaMaxObjects;
    @Column("user_quota_max_size")
    private Long userQuotaMaxSize; // 最大使用量
    @Column("allocated_objects")
    private Long allocatedObjects; // 用户对象使用 个数
    @Column("allocated_size")
    private Long allocatedSize; // 用户容量使用 以使用
    @Column("is_suspended") // 启用 禁用  // true 禁用 false 启用
    private Boolean suspended;
    @Column("total_rx_bytes")
    private Long totalRxBytes; //上传数据总量
    @Column("total_tx_bytes")
    private Long totalTxBytes; // 下载数据总理

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Date getExpiredTime() {
        return expiredTime;
    }

    public void setExpiredTime(Date expiredTime) {
        this.expiredTime = expiredTime;
    }

    public Long getVendorId() {
        return vendorId;
    }

    public void setVendorId(Long vendorId) {
        this.vendorId = vendorId;
    }

    public Long getTenantId() {
        return tenantId;
    }

    public void setTenantId(Long tenantId) {
        this.tenantId = tenantId;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public Long getBucketMax() {
        return bucketMax;
    }

    public void setBucketMax(Long bucketMax) {
        this.bucketMax = bucketMax;
    }

    public Long getSizeMax() {
        return sizeMax;
    }

    public void setSizeMax(Long sizeMax) {
        this.sizeMax = sizeMax;
    }

    public String getAccessKey() {
        return accessKey;
    }

    public void setAccessKey(String accessKey) {
        this.accessKey = accessKey;
    }

    public String getSecretKey() {
        return secretKey;
    }

    public void setSecretKey(String secretKey) {
        this.secretKey = secretKey;
    }

    public String getInstanceId() {
        return instanceId;
    }

    public void setInstanceId(String instanceId) {
        this.instanceId = instanceId;
    }

    public int getBucketCount() {
        return bucketCount;
    }

    public void setBucketCount(int bucketCount) {
        this.bucketCount = bucketCount;
    }

    public String getSizeUsed() {
        return sizeUsed;
    }

    public void setSizeUsed(String sizeUsed) {
        this.sizeUsed = sizeUsed;
    }

    public String getRatio() {
        return ratio;
    }

    public void setRatio(String ratio) {
        this.ratio = ratio;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getBucketNum() {
        return bucketNum;
    }

    public void setBucketNum(Long bucketNum) {
        this.bucketNum = bucketNum;
    }

    public Long getBucketQuotaMaxObjects() {
        return bucketQuotaMaxObjects;
    }

    public void setBucketQuotaMaxObjects(Long bucketQuotaMaxObjects) {
        this.bucketQuotaMaxObjects = bucketQuotaMaxObjects;
    }

    public Long getBucketQuotaMaxSize() {
        return bucketQuotaMaxSize;
    }

    public void setBucketQuotaMaxSize(Long bucketQuotaMaxSize) {
        this.bucketQuotaMaxSize = bucketQuotaMaxSize;
    }

    public Long getMaxBuckets() {
        return maxBuckets;
    }

    public void setMaxBuckets(Long maxBuckets) {
        this.maxBuckets = maxBuckets;
    }

    public String getOpMask() {
        return opMask;
    }

    public void setOpMask(String opMask) {
        this.opMask = opMask;
    }

    public Long getUserQuotaMaxObjects() {
        return userQuotaMaxObjects;
    }

    public void setUserQuotaMaxObjects(Long userQuotaMaxObjects) {
        this.userQuotaMaxObjects = userQuotaMaxObjects;
    }

    public Long getUserQuotaMaxSize() {
        return userQuotaMaxSize;
    }

    public void setUserQuotaMaxSize(Long userQuotaMaxSize) {
        this.userQuotaMaxSize = userQuotaMaxSize;
    }

    public Long getAllocatedObjects() {
        return allocatedObjects;
    }

    public void setAllocatedObjects(Long allocatedObjects) {
        this.allocatedObjects = allocatedObjects;
    }

    public Long getAllocatedSize() {
        return allocatedSize;
    }

    public void setAllocatedSize(Long allocatedSize) {
        this.allocatedSize = allocatedSize;
    }

    public Long getTotalRxBytes() {
        return totalRxBytes;
    }

    public void setTotalRxBytes(Long totalRxBytes) {
        this.totalRxBytes = totalRxBytes;
    }

    public Long getTotalTxBytes() {
        return totalTxBytes;
    }

    public void setTotalTxBytes(Long totalTxBytes) {
        this.totalTxBytes = totalTxBytes;
    }

    public Boolean getSuspended() {
        return suspended;
    }

    public void setSuspended(Boolean suspended) {
        this.suspended = suspended;
    }

}
