package com.bocloud.cmp.entity;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.IgnoreAll;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * @author tyl
 * @since 2021/4/22 10:01
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AllArgsConstructor
@NoArgsConstructor
@Table("port_group_relation")
public class PortGroupRelation extends Generic {
    /**
     * id
     */
    @PK(PKStrategy.AUTO)
    private Long id;
    /**
     * IP池id
     */
    @Column("ip_pool_id")
    private Long ipPoolId;
    /**
     * ip池名称
     */
    @IgnoreAll
    private String ipPoolName;
    @Column("pool_group_id")
    private Long poolGroupId;
    /**
     * 资源组名称
     */
    @IgnoreAll
    private String poolGroupName;
    /**
     * 端口组id
     */
    @Column("port_group_id")
    private Long portGroupId;
    /**
     * 端口组名称
     */
    @IgnoreAll
    private String portGroupName;
    
    /**
     * 资源组名称
     */
    @IgnoreAll
    private Long vendorId;

    @IgnoreAll
    private String cidr;

    @IgnoreAll
    private String version;

    @Column("extra_data")
    private String extraData; // 扩展数据，留给各个云平台自由使用

}
