package com.bocloud.cmp.entity;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.IgnoreAll;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.GenericEntity;
import com.megatron.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Table("resource_account")
public class ResourceAccount extends GenericEntity {
    @PK(value = PKStrategy.AUTO)
    private Long id;
    @Column("resource_id")
    private Long resourceId; // 资源id
    @IgnoreAll
    @Column("resource_name")
    private String resourceName; // 资源名称
    @Column("contain_password")
    private Boolean containPassword; // 包含密码
    @Column("password")
    private String password; // 密码
    @IgnoreAll
    private Integer type; // 账号类型 0 - 密码，1 - 私钥， 2 - 域， 3 - 切换自。

}
