package com.bocloud.cmp.entity;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.IgnoreAll;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.GenericEntity;
import com.megatron.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;


@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Table("resource_audit")
public class ResourceAudit extends GenericEntity {

    @PK(value = PKStrategy.AUTO)
    private Long id;
    /**
     * 审计的类型 tui/gui/file/db
     */
    @Column("type")
    private String type;
    /**
     * 开始时间
     */
    @Column("begin")
    private String begin;
    /**
     * 结束时间
     */
    @Column("end")
    private String end;
    /**
     * 用户账号
     */
    @Column("user")
    private String user;
    /**
     * 来自
     */
    @Column("client_ip")
    private String clientIp;
    /**
     * 来自
     */
    @Column("target_ip")
    private String targetIp;
    /**
     * 资产名称
     */
    @Column("target_name")
    private String targetName;
    /**
     * 协议
     */
    @Column("protocol")
    private String protocol;
    /**
     * 系统账户
     */
    @Column("account")
    private String account;
    /**
     * 是否在线
     */
    @Column("is_online")
    private Boolean online;
    /**
     * 会话时长
     */
    @Column("session_time")
    private String sessionTime;
    /**
     * 资产ip
     */
    @Column("hostid")
    private String hostId;
    /**
     * 资产类型
     */
    @Column("resource_type")
    private String resourceType;
    /**
     * 堡垒机中审计id
     */
    @Column("resource_audit_uuid")
    private String resourceAuditUuid;
    /**
     * 权限来源id
     */
    @Column("auth_source_id")
    private String authSourceId;
    /**
     * 权限来源类型
     */
    @Column("auth_source_type")
    private String authSourceType;
    /**
     * CPU百分比
     */
    @Column("cpu_percent")
    private String cpuPercent;
    /**
     * 缓存百分比
     */
    @Column("mem_percent")
    private String memPercent;
    /**
     * 会话启动所在集群节点名
     */
    @Column("node_name")
    private String nodeName;
    /**
     * 图形会话明细
     */
    @Column("gui_sess")
    private String guiSess;
    /**
     * 字符会话明细
     */
    @Column("tui_sess")
    private String tuiSess;
    /**
     * 数据库会话明细
     */
    @Column("db_sess")
    private String dbSess;
    /**
     * 文件传输明细
     */
    @Column("file_sess")
    private String fileSess;
    /**
     * 平台ID
     */
    @Column("vendor_id")
    private Long vendorId;
    /**
     * 平台名称
     */
    @IgnoreAll
    private String vendorName;

}
