package com.bocloud.cmp.entity;

import com.megatron.common.utils.DateDeserializer;
import com.megatron.common.utils.DateSerializer;
import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.IgnoreAll;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.GenericEntity;
import com.megatron.entity.meta.PKStrategy;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: AzureResourceGroup
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2019/8/6 14:16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Table("resource_group")
public class ResourceGroup extends GenericEntity {

	@PK(value = PKStrategy.AUTO)
	private Long id; // ID
	@Column("resource_group_uuid")
	private String resourceGroupUuid;// 资源组id
	@Column("region_id")
	private String regionId;// 资源组的位置。创建资源组后无法更改。它必须是受支持的Azure位置之一
	@Column("managed_by")
	private String managedBy;// 管理此资源组的资源的ID
	@Column("type")
	private String type;// 资源组的类型
	@Column("tags")
	private String tags;// 附加到资源组的标记
	@Column("provisioning_state")
	private String provisioningState;// 供应状态
	@Column("vendor_id")
	private Long vendorId;
	@IgnoreAll
	@Column("vendor_name")
	private String vendorName;
	@IgnoreAll
	private List<Resource> resources;
	@IgnoreAll
	private List<Long> resourceIds;

	@Column("tenant_id")
	private Long tenantId;
	@Column("project_id")
	private Long projectId;
	@Column("display_name")
	private String displayName;

	@Column("create_time")
	@JsonSerialize(using = DateSerializer.class)
	@JsonDeserialize(using = DateDeserializer.class)
	@org.springframework.format.annotation.DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;// 创建时间

	@IgnoreAll
	private String departmentName;

}
