package com.bocloud.cmp.entity;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.GenericEntity;
import com.megatron.entity.meta.PKStrategy;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 基础组件 资源模型
 * @author hp
 *
 */
@Table("resource_module")
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
public class ResourceModule extends GenericEntity {

	@PK(value = PKStrategy.AUTO)
	private Long id; // ID
	
	
	@Column("vendor_type")
	private String vendorType; 
	
	@Column("vendor_category_id")
	private Long vendorCategoryId;
	
	@Column("icon")
	private String icon; 
	
	@Column("content")
	private String content; 
	
}
