package com.bocloud.cmp.entity;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.GenericEntity;
import com.megatron.entity.meta.PKStrategy;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 基础组件 資源屬性
 * @author hp
 *
 */
@Table("resource_property")
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
public class ResourceProperty extends GenericEntity {

	@PK(value = PKStrategy.AUTO)
	private Long id; // ID
	
	
	@Column("property_code")
	private String propertyCode; 
	
	@Column("property_name")
	private String propertyName; 
	
	@Column("property_type")
	private String propertyType; 
	
	
	@Column("property_value")
	private String propertyValue; 
	
	@Column("resource_module_id")
	private String resourceModuleId; 
	
	@Column("is_reserved")
	private Boolean isReserved; // 是否内置
	
}
