package com.bocloud.cmp.entity;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.GenericEntity;
import com.megatron.entity.meta.PKStrategy;

/**
 * 光纤交换机端口
 *
 * @author luyanchao
 * @since 2019/6/5 14:28
 */
@Table("san_fabric_port")
public class SanFabricPort extends GenericEntity {

    @PK(value = PKStrategy.AUTO)
    private Long id;
    @Column("fabric_id")
    private Long fabricId; // 所属光纤交换机id
    @Column("number")
    private Integer number; // 端口号
    @Column("wwn")
    private String wwn; // 唯一标识
    @Column("type")
    private String type; // 类型
    @Column("npiv_enabled")
    private Boolean npivEnabled; // 是否支持npiv云主机技术
    @Column("speed")
    private String speed; // 端口速率,
    @Column("max_speed")
    private String maxSpeed; // 最大端口速率

    // cisco新增
    @Column("vendor_id")
    private Long vendorId;
    @Column("vsan_id")
    private Long vsanId; // 光纤口使用
    @Column("admin_mode")
    private String adminMode; // 管理模式
    @Column("trunk_mode")
    private String trunkMode; // trunk模式
    @Column("oper_mode")
    private String operMode; // 操作模式
    @Column("sfp")
    private String sfp;

    // 物理口,隧道口使用
    @Column("mode")
    private String mode;
    @Column("reason")
    private String reason;
    @Column("protocol")
    private String protocol; // 隧道口

    // 管理口使用
    @Column("ip")
    private String ip;
    @Column("mtu")
    private String mtu;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getFabricId() {
        return fabricId;
    }

    public void setFabricId(Long fabricId) {
        this.fabricId = fabricId;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public String getWwn() {
        return wwn;
    }

    public void setWwn(String wwn) {
        this.wwn = wwn;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Boolean getNpivEnabled() {
        return npivEnabled;
    }

    public void setNpivEnabled(Boolean npivEnabled) {
        this.npivEnabled = npivEnabled;
    }

    public String getSpeed() {
        return speed;
    }

    public void setSpeed(String speed) {
        this.speed = speed;
    }

    public String getMaxSpeed() {
        return maxSpeed;
    }

    public void setMaxSpeed(String maxSpeed) {
        this.maxSpeed = maxSpeed;
    }

    public Long getVsanId() {
        return vsanId;
    }

    public void setVsanId(Long vsanId) {
        this.vsanId = vsanId;
    }

    public String getAdminMode() {
        return adminMode;
    }

    public void setAdminMode(String adminMode) {
        this.adminMode = adminMode;
    }

    public String getTrunkMode() {
        return trunkMode;
    }

    public void setTrunkMode(String trunkMode) {
        this.trunkMode = trunkMode;
    }

    public String getOperMode() {
        return operMode;
    }

    public void setOperMode(String operMode) {
        this.operMode = operMode;
    }

    public String getSfp() {
        return sfp;
    }

    public void setSfp(String sfp) {
        this.sfp = sfp;
    }

    public String getMode() {
        return mode;
    }

    public void setMode(String mode) {
        this.mode = mode;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public String getProtocol() {
        return protocol;
    }

    public void setProtocol(String protocol) {
        this.protocol = protocol;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public String getMtu() {
        return mtu;
    }

    public void setMtu(String mtu) {
        this.mtu = mtu;
    }

    public Long getVendorId() {
        return vendorId;
    }

    public void setVendorId(Long vendorId) {
        this.vendorId = vendorId;
    }
}
