package com.bocloud.cmp.model;

import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 镜像的业务类
 *
 * @author dongkai
 */
@Data
public class ImageModel {
	private String name;// 名称
	private String status;// 状态
	private String props; // 属性
	private String remark;// 描述
	private Date gmtCreate;// 创建时间
	private String osCategory;// 系统类别
	private String osName;// 操作系统
	private String osVersion;// 系统版本
	private String kernelVersion;// 内核版本
	private String imageUuid;// 镜像ID
	private String architecture;// 系统位数
	private String osType;// 镜像类型
	private Double size;// 容量
	private Long sizeByte; // 容量
	private String base;// 父镜像信息
	private String baseShow;// 用于私有和共享镜像的展示
	private Long minDisk;// 作为系统盘的容量
	private String catagory;// 镜像类型
	private String filePath; // 本地上传路径
	private Boolean qgaInstalled;// 是否设置了hw_qemu_guest_agent
	private String storeVal;// 数据存储value
	private String defaultUser;// 默认用户
	private Boolean force;// 强制
	private String instanceId;// 需要转换的云服务器ID
	private String imageType;
	private String instanceUuid; // 生成映像的云主机的uuid
	private String regionId;
	private List<VolumeModel> diskDeviceMappings;
	private String[] AccountIds;
	private String[] imageUuids;
	private String[] regions;
	private String permission;
	private String resourceGroupName;
	private String sourceVirtualMachineId;
	private Long ownerId; // aws
	private String tenantUuid;// openstack底层租户id
	private Long minRam; // 镜像运行需要的最小磁盘
	private String imageSourceType; // 镜像后端存储类型，目前支持uds
	private Boolean isRegistered; // 是否是注册过的镜像
	private Double virtualSize; // 镜像虚拟容量
	private String properties;// ???
	private boolean isProtected;
	private String diskFormat; // 镜像文件格式
	private String imageSource; // 判断镜像是通过哪种方式创建的，云主机制作镜像和上传镜像
	private Object blockDeviceMappings; // 区块设备映射
	private String rootDeviceName; // 根设备名称
	private String rootDeviceType; // 根设备类型
	private Boolean isNoRestart;
	private String sourceImageId; // 源镜像UUID
	private String sourceRegion; // 源镜像区域
	private String resourceGroupUuid;// 资源组id
	private String support;
	private String virtualEnvType;
	private List<TagModel> tagModels;
	private String offer;
	private String sku;
	private String publisher;//发布者
	private String tags;
	
	private String enterpriseProjectUuid;
	// hcso
	private String wholeImageType;
	private String backupUuid;
}
