package com.bocloud.cmp.model;

import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 资源池业务类(vcenter)
 *
 * @author wangyu
 * @version 1.0
 * @since 2017年11月23日
 */
@Data
public class ResourcePoolModel {
    private String name;// 资源池名称
    private Long parentId;// 父资源池
    private String parentName;// 父资源池名称
    private String parentPoolVal;// 父资源池value
    private Date gmtModify;// 最后修改时间
    private Long cpuReservation;// CPU预留
    private Boolean cpuExpanReservation;// CPU可扩展预留
    private Long cpuLimit;// CPU限制
    private int cpuShares;// CPU份额值
    private String cpuShareLevel;// CPU份额(low低/normal正常/high高/custom自定义)
    private Long memReservation;// 内存预留
    private Boolean memExpanReservation;// 内存可扩展预留
    private Long memLimit;// 内存限制
    private int memShares;// 内存份额值
    private String memShareLevel;// 内存份额(low低/normal正常/high高/custom自定义)
    private String poolVal;// 资源池value
    private Long vdcId;// 数据中心ID
    private String vdcName;// 数据中心名称
    private Long owner;// 资源池所属
    private String ownerCategory;// 资源池所属类别
    private String hostName;// 宿主机名称
    private String hostVal;// 宿主机value
    private String clusterName;// 集群名称
    private String clusterVal;// 集群value
    private Long vendorId;// 云平台ID
    private String ownerName;
    private String resignUuid; // 华为SDN资源池所属区域唯一标识
    private String resourcePoolType; // 资源池类型，Vlan Vtep Mgmt Inter BgpPeer
    private String startIp; // 华为SDN资源池起始IP地址
    private String endIp; // 华为SDN资源池终止IP地址
    private String mask; // 华为SDN资源池IP地址掩码
    private String resourcePoolUuid; //华为SDN资源池唯一标识
    private String ipVersion; // 华为SDN资源池IP地址类型, Ipv4 Ipv6
    private List<ResourcePoolSegmentsModel> segmentsModels;
    private List<String> resourcePoolUUids;

}
