package com.bocloud.cmp.model;

import lombok.Data;

import java.util.List;

/**
 * 存储磁盘
 */
@Data
public class StorageDiskModel {
    private Long id;
    private String diskUuid; // 标识
    private String storageUuid; // 所属集群uuid
    private String storageKeyPath; // 所属集群keyPath
    private String identifier; // 驱动器标识
    private String name; // 名称
    private String type; // 类型
    private String path; // 路径
    private Double blockSize; // 数据块大小
    private String status; // 状态
    private String enabledState; // 状态
    private String use; // 用途
    private String port1Status; // 端口1状态
    private String port2Status; // 端口2状态
    private String dataStatus; // 数据状态(Json)：{healthyPercent:1,degradedPercent:0,recoveryPercent:0,unavailablePercent:0},分别为：健康的、降级的、待恢复、不可用
    private Long capacity; // 容量byte
    private Long usedCapacity; // 已用容量byte
    private String model; // 型号
    private Integer rpm; // 转速
    private String firmwareLevel; // 固件级别
    private String uid; // 唯一标识
    private String slotId; // 插槽标识
    private String enclosureId; // 机柜标识
    private String fruIdentity; // 部件标识
    private String fruPartNum; // 部件号
    private String techType; // 技术类型
    private String nodeId; // 节点标识
    private String nodeName; // 节点名称
    private String vendorId; // 供应商标识
    private String productId; // 产品编号
    private String fpgaLevel; // fpga级别
    private String memberId; // 成员标识
    private String quorumId; // 定额标识
    private String keyPath; // smis用来传参
    private String captionType; //华为硬盘类型
    private String encryption; //硬盘加密类型
    private String operationalStatus; // 运行状态
    private HostModel host; // 所属服务器
    private Boolean isUsed; // 是否使用
    private Boolean isCache; // 是否缓存盘
    private Boolean isRoot; // 是否系统盘
    private List<StorageDiskPartitionModel> partitions; // 磁盘分区
    private String props;

}
