package com.bocloud.cmp.model;

import lombok.Data;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 虚拟交换机类
 *
 * @author songsong
 */
@Data
public class SwitchModel {
	private String name; // 交换机名称
	private String oldName;// 旧名称
	private Long vdcId; // 数据中心ID
	private String vdcName; // 数据中心名称
	private Integer portGroupNum; // 端口组数量
	private String portGroupName;// 云主机端口组名称
	private Long vendorId; // 供应商ID
	private Long hostId;// 宿主机ID
	private Map<Long, List<Long>> hosts; // 宿主机和物理网卡id
	private Map<String, List<String>> values; // 宿主机和物理网卡名称
	private int vlanId;
	private Long portNum;// 端口数量
	private Integer mtu;// mtu
	private Boolean allowPromiscuous;// 是否接受混杂模式
	private Boolean macChanges;// 是否接受mac地址更改
	private Boolean forgedTransmits;// 是否接受伪传输
	private Boolean trafficEnabled;// 是否启用流量调整
	private Long averageBandWidth;// 平均带宽
	private Long peakBandWidth;// 带宽峰值
	private Long burstSize;// 突发大小
	private String policy;// 负载平衡
	private Boolean checkBeacon;// 网络故障切换检测
	private Boolean notifySwitches;// 通知交换机
	private Boolean rollingOrder;// 故障恢复
	private List<String> activeNics;// 活动适配器
	private List<String> standbyNics;// 备用适配器
	private String remark;// 描述
	private String managerName;// 管理员名称
	private String managerContact;// 管理员其他详细信息
	private String collectorIpAddress;// 收集器IP地址
	private Integer collectorPort;// 收集器端口
	private String vdsIpAddress;// 分布式交换机IP地址
	private Integer activeFlowTimeout;// 活动流导出超时
	private Integer idleFlowTimeout;// 限制流导出超时
	private Integer samplingRate;// 采样率
	private Boolean internalFlowsOnly;// 是否仅处理内部流
	private String pVlans;// 专用VLAN
	private String protocol;// 发现协议类型
	private String operation;// 发现协议操作
	private List<String> dvportNames;// 上行链路端口数名称
	private Integer dvportNum;// 上行链路端口数
	private String switcherVal;// 交换机value
	private String type;// 交换机类型
	private List<PortGroupModel> groups;
	private NetworkModel network;
	private String status;
	private Long availableIpAddressCount;
	private String cidr;
	private Boolean isDefault;
	private String switchUuid;
	private String vpcUuid;
	private String zone;
	private String creationTime;
	private String regionId;
	private Date gmtCreate;
	private Integer vni; // 逻辑交换机的vni标识。
	private Integer bd; // 逻辑交换机的BD标识。
	private String macAddress; // 逻辑交换机的MAC地址。
	private String tenantUuid; // 逻辑交换机所属租户
	private String producer; // 控制器内部用于记录调用当前接口的应用标识，不支持以"component"开头的字符串，"component"开头字符串用于控制器内部使用
	private Boolean broadcastEnable; // 使能设备上以BD为单位的广播能力
	private Boolean multicastEnable; // 使能设备上以BD为单位的组播能力
	private Boolean unicastEnable; // 使能设备上以BD为单位的单播能力
	private String broadcastCbs; // Broadcastcbs，单位为byte时，取值范围为 10000～4294967295，单位为kbyte时，取值范围为
									// 9～4194303，单位为mbyte时，取值范围为1～4095
	private String broadcastCbsUnit; // 广播cbs单位。枚举类型，支持的取值：byte、kbyte和mbyte
	private Integer broadcastCir; // 广播cir，单位为Kbps时，取值范围为
									// 0～4294967295，单位为Mbps时，取值范围为0～4294967，单位为Gbps时，取值范围为0～4294
	private String broadcastCirUnit; // 广播cir单位。枚举类型，支持的取值： gbps，mbps or kbps
	private String unicastCbs; // Unicastcbs，单位为byte时，取值范围为 10000～4294967295，单位为kbyte时，取值范围为
								// 9～4194303，单位为mbyte时，取值范围为1～4095
	private String unicastCbsUnit; // Unicast cbs 单位。枚举类型，支持的取值：byte、kbyte和mbyte
	private Integer unicastCir; // 单播cir，单位为Kbps时，取值范围为
								// 0～4294967295，单位为Mbps时，取值范围为0～4294967，单位为Gbps时，取值范围为0～4294
	private String unicastCirUnit; // 单播cir单位。枚举类型，支持的取值：gbps，mbps or kbps
	private String multicastCbs; // Multicastcbs，单位为byte时，取值范围为10000～4294967295，单位为kbyte时，取值范围为9～4194303，单位为mbyte时，取值范围为1～4095
	private String multicastCbsUnit; // Multicast cbs单位。枚举类型，支持的取值：byte、kbyte和mbyte
	private Integer multicastCir; // 多播cir，单位为Kbps时，取值范围为
									// 0～4294967295，单位为Mbps时，取值范围为0～4294967，单位为Gbps时，取值范围为0～4294
	private String multicastCirUnit; // Multicast cir 单位。枚举类型，支持的取值：gbps，mbps or kbps
	private List<String> importRouteTargets;
	private List<String> exportRouteTargets;
	private String qosTemplateUuid;
	private String netmask; // 掩码
	/** 网关。 **/
	private String gateway;
	private String networkType;
}
