package com.bocloud.cmp.model;

import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * 交换机模型业务类
 *
 * @author weiwei
 */
@Data
public class SwitcherModel {
    private String uuid;
    private String name; // 交换机名称
    private String status;// 状态
    private String bondName;
    private String bondMode;
    private String ovsbrName; // ovs网桥名称
    private String remark;
    private String type; // 交换机类型
    private Integer portNum; // 端口组数量
    private String switcherVal; // value值
    private List<PortGroupModel> groups;
    private Map<String, List<String>> hostNetworkCards;
    private NetworkModel network;
    private List<NetworkModel> networks;

    public SwitcherModel() {
        super();
    }

    public SwitcherModel(String name, String status, String type, Integer portNum, String switcherVal,
                         List<PortGroupModel> groups) {
        super();
        this.name = name;
        this.status = status;
        this.type = type;
        this.portNum = portNum;
        this.switcherVal = switcherVal;
        this.groups = groups;
    }

}
