package com.bocloud.cmp.repository;

import com.bocloud.cmp.entity.VolumePool;
import com.megatron.common.model.Pager;
import com.megatron.common.model.Param;
import com.megatron.database.core.intf.impl.BasicGenericDao;
import com.megatron.framework.core.CurrentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public class VolumePoolRepository extends BasicGenericDao<VolumePool, Long> {

    @Autowired
    public VolumePoolRepository(JdbcTemplate jdbcTemplate, NamedParameterJdbcTemplate namedParameterJdbcTemplate, CurrentService service) {
        super(jdbcTemplate, namedParameterJdbcTemplate, service);
    }

    public List<VolumePool> list(Pager pager) {
        String sql = "select a.*, b.name as storage_name, c.name as mdisk_name "
                + "from volume_pool a "
                + "left join storage b on a.storage_id = b.id "
                + "left join mdisk c on a.mdisk_id = c.id "
                + "where a.is_deleted = 0 ";
        sql = getQueryBuilder().build(sql, pager, "a");
        Map<String, Object> paramMap = getQueryBuilder().getParam(pager.getParams());
        return this.list(VolumePool.class, sql, paramMap);
    }

    public int count(List<Param> params) {
        String sql = "select count(1) from volume_pool a where a.is_deleted = 0 ";
        sql = getQueryBuilder().build(sql, params, null, "a");
        Map<String, Object> param = getQueryBuilder().getParam(params);
        return this.countQuery(sql, param).intValue();
    }

}
