package com.bocloud.cmp.service;

import com.bocloud.cmp.domain.DataCenterBean;
import com.bocloud.cmp.entity.DataCenter;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.GridBean;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;

/**
 * 数据中心抽象Service接口
 */
public interface DataCenterService {

    /**
     * 添加数据中心
     *
     * @param dataCenter the dataCenter
     * @return the result
     */
    GeneralResult<DataCenter> create(DataCenter dataCenter, Long userId);

    /**
     * 更新数据中心
     *
     * @param bean   the bean
     * @param userId the user id
     * @return the result
     */
    GeneralResult<DataCenter> modify(DataCenterBean bean, Long userId);

    /**
     * 逻辑删除数据中心
     *
     * @param id the id
     * @param id the user id
     * @return the result
     */
    GeneralResult remove(Long id, Long userId);

    /**
     * 查询数据中心详细
     *
     * @param id the id
     * @return the result
     */
    GeneralResult basic(Long id);

    /**
     * 查询数据中心列表
     *
     * @param pager
     * @param context
     * @return
     */
    GeneralResult<GridBean<DataCenter>> list(Pager pager, RequestContext context);


    /**
     * 得到当前数据中心的基本信息和统计信息
     *
     * @param id the id
     * @return the result
     */
    GeneralResult<DataCenter> detail(Long id);

	GeneralResult resourceCount(Long dcId);

    GeneralResult resourceOverview(Long dcId);
}
