package com.bocloud.cmp.service;

import com.bocloud.cmp.entity.FloatingIp;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.GridBean;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;

/**
 * 浮动IP抽象Service层
 *
 * @author weiwei
 */
public interface FloatingIpService {

	/**
	 * 列表展示GridBean
	 * 
	 * @param pager
	 * @param context
	 * @return
	 */
	public GeneralResult<GridBean<FloatingIp>> list(Pager pager, RequestContext context);

	/**
	 * 根据condition列表展示GridBean
	 * 
	 * @param condition
	 * @return
	 */
	public GeneralResult condition(String condition);

	/**
	 * 详情
	 *
	 * @param id
	 * @return
	 */
	public GeneralResult<FloatingIp> detail(Long id);


	/**
	 * 汇总浮动IP数量
	 *
	 * @param userId
	 * @param projectId
	 * @param tenantId
	 * @return
	 */
	public GeneralResult count(Long userId, Long projectId, Long tenantId);
}
