package com.bocloud.cmp.service;

import com.alibaba.fastjson.JSONObject;
import com.bocloud.cmp.entity.NameRule;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.GridBean;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;

/**
 * 命名规则service实现
 *
 * @author wangyu
 * @version 3.0.0-SNAPSHOT
 * @since 2018/7/2
 */
public interface NameRuleService {

	/**
	 * 查询命名规则列表
	 *
	 * @param page
	 * @param rows
	 * @param params
	 * @param sorter
	 * @param simple
	 * @param user
	 * @return
	 */
	GeneralResult<GridBean<NameRule>> list(Pager pager, RequestContext context);

	/**
	 * 查看命名规则详情
	 *
	 * @param id
	 * @return
	 */
	GeneralResult<NameRule> detail(Long id);

	/**
	 * 创建命名规则
	 *
	 * @param nameRule
	 * @param user
	 * @return
	 */
	GeneralResult<NameRule> create(NameRule nameRule, RequestContext context);

	/**
	 * 更新命名规则
	 *
	 * @param nameRule
	 * @param user
	 * @return
	 */
	GeneralResult modify(NameRule nameRule, RequestContext context);

	/**
	 * 删除命名规则
	 *
	 * @param id
	 * @return
	 */
	GeneralResult remove(Long id);

	/**
	 * 生成命名
	 *
	 * @param id
	 * @param object
	 * @return
	 */
	GeneralResult<String> generate(Long id, JSONObject object);

}
